cURL
curl --request POST \
--url https://crunchforms.com/form/{formID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"{honeypot}": "<string>",
"turnstileToken": "<string>",
"cf-turnstile-response": "<string>",
"recaptchaToken": "<string>",
"g-recaptcha-response": "<string>"
}
'import requests
url = "https://crunchforms.com/form/{formID}"
payload = {
"email": "<string>",
"{honeypot}": "<string>",
"turnstileToken": "<string>",
"cf-turnstile-response": "<string>",
"recaptchaToken": "<string>",
"g-recaptcha-response": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
'{honeypot}': '<string>',
turnstileToken: '<string>',
'cf-turnstile-response': '<string>',
recaptchaToken: '<string>',
'g-recaptcha-response': '<string>'
})
};
fetch('https://crunchforms.com/form/{formID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crunchforms.com/form/{formID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'{honeypot}' => '<string>',
'turnstileToken' => '<string>',
'cf-turnstile-response' => '<string>',
'recaptchaToken' => '<string>',
'g-recaptcha-response' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crunchforms.com/form/{formID}"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crunchforms.com/form/{formID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crunchforms.com/form/{formID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"status": "success"
}{
"success": false,
"status": "Failed - Message describing the error",
"errors": [
"error message"
]
}Endpoints
Save Form Submission
Submits and validates a form submission to the specified form ID.
POST
/
form
/
{formID}
cURL
curl --request POST \
--url https://crunchforms.com/form/{formID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"{honeypot}": "<string>",
"turnstileToken": "<string>",
"cf-turnstile-response": "<string>",
"recaptchaToken": "<string>",
"g-recaptcha-response": "<string>"
}
'import requests
url = "https://crunchforms.com/form/{formID}"
payload = {
"email": "<string>",
"{honeypot}": "<string>",
"turnstileToken": "<string>",
"cf-turnstile-response": "<string>",
"recaptchaToken": "<string>",
"g-recaptcha-response": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
'{honeypot}': '<string>',
turnstileToken: '<string>',
'cf-turnstile-response': '<string>',
recaptchaToken: '<string>',
'g-recaptcha-response': '<string>'
})
};
fetch('https://crunchforms.com/form/{formID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crunchforms.com/form/{formID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'{honeypot}' => '<string>',
'turnstileToken' => '<string>',
'cf-turnstile-response' => '<string>',
'recaptchaToken' => '<string>',
'g-recaptcha-response' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crunchforms.com/form/{formID}"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crunchforms.com/form/{formID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crunchforms.com/form/{formID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"{honeypot}\": \"<string>\",\n \"turnstileToken\": \"<string>\",\n \"cf-turnstile-response\": \"<string>\",\n \"recaptchaToken\": \"<string>\",\n \"g-recaptcha-response\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"status": "success"
}{
"success": false,
"status": "Failed - Message describing the error",
"errors": [
"error message"
]
}Crunchforms acts as a simple API for accepting submissions, and will return a JSON response indicating success or failure of the submission if you choose the JSON response option when configuring your form.
Body
application/json
Any field names are accepted, with exceptions and considerations listed below. This will allow you to build flexible forms for your website.